name: star-cloud-deploy-production

on:
  push:
    branches:
      - main

jobs:
  deploy-production:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout Code
        uses: actions/checkout@v3
        with:
          github-server-url: https://gitea.setdomains.work
          repository: ${{ github.repository }}

      - name: Step 1 - Push Code to Production
        run: |
          echo "Production deployment is currently in preparation..."
          # 待正式環境資料確定後，再補上 rsync 與 SSH 邏輯
